<?php
spl_autoload_register(function ($class_name) {
    include_once $class_name . '.php';
});
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Stats</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </head>
    <body>

        <div class="container">
            <h2>Configurations</h2>
            <form action="ajax.php" method="POST">
                <input type="text" id="cmd" name="cmd" value="save_config" style="display: none;">

                <div class="form-group">
                    <label for="email">Android Redirect URL:</label>
                    <input type="text" class="form-control" required="" id="android_redirect_url" name="android_redirect_url" placeholder="http://androidredirecturl.com" value="<?php echo Configurations::get_android_redirect_url(); ?>" >
                </div>
                <div class="form-group">
                    <label for="email">iOS Redirect URL:</label>
                    <input type="text" class="form-control" required="" id="ios_redirect_url" name="ios_redirect_url" placeholder="http://iosredirecturl.com" value="<?php echo Configurations::get_ios_redirect_url(); ?>" >
                </div>
                <div class="form-group">
                    <label for="email">Desktop Redirect URL:</label>
                    <input type="text" class="form-control" required="" id="desktop_redirect_url" name="desktop_redirect_url" placeholder="http://desktopredirecturl.com" value="<?php echo Configurations::get_desktop_redirect_url(); ?>" >
                </div>

                <button type="submit" class="btn btn-primary"><?php echo Configurations::does_already_exist() ? 'Update Now' : 'Save Now'; ?></button>
                <a href="index.php" target="_blank" class="btn btn-success" style="margin-left: 4px; display: <?php echo Configurations::does_already_exist() ? '' : 'none'; ?>">Configurations are saved! Click to visit redirect page</a>
            </form>
        </div>
        <br/><br/><br/><br/>
        <div class="container">
            <div class="row" style="text-align: center">
                <h2>Stats</h2>
                <h4>Unique/Total</h4>

            </div>
        </div>
        <br/>
        <div class="container" style="text-align: center;">
            <div class="row">
                <div class="col-md-4">
                    <?php
                    $alltime_visits_android = Visits::get_alltime_visits(Platform::$platform_android);
                    $alltime_visits_unique_android = Visits::get_alltime_visits_unique(Platform::$platform_android);
                    $last_24hr_android = Visits::get_24hr_visits(Platform::$platform_android);
                    $last_24hr_unique_android = Visits::get_24hr_visits_unique(Platform::$platform_android);
                    ?>
                    <div class="row"><h4>All Time Android <?php echo "$alltime_visits_unique_android/$alltime_visits_android"; ?></h4></div>
                    <div class="row"><h4>Last 24 HRS Android <?php echo "$last_24hr_unique_android/$last_24hr_android" ?></h4></div>
                </div>
                <div class="col-md-4">
                    <?php
                    $alltime_visits_ios = Visits::get_alltime_visits(Platform::$platform_ios);
                    $alltime_visits_unique_ios = Visits::get_alltime_visits_unique(Platform::$platform_ios);
                    $last_24hr_ios = Visits::get_24hr_visits(Platform::$platform_ios);
                    $last_24hr_unique_ios = Visits::get_24hr_visits_unique(Platform::$platform_ios);
                    ?>
                    <div class="row"><h4>All Time iOS <?php echo "$alltime_visits_unique_ios/$alltime_visits_ios"; ?></h4></div>
                    <div class="row"><h4>Last 24 HRS iOS <?php echo "$last_24hr_unique_ios/$last_24hr_ios" ?></h4></div>
                </div>
                <div class="col-md-4">
                    <?php
                    $alltime_visits_desktop = Visits::get_alltime_visits(Platform::$platform_desktop);
                    $alltime_visits_unique_desktop = Visits::get_alltime_visits_unique(Platform::$platform_desktop);
                    $last_24hr_desktop = Visits::get_24hr_visits(Platform::$platform_desktop);
                    $last_24hr_unique_desktop = Visits::get_24hr_visits_unique(Platform::$platform_desktop);
                    ?>
                    <div class="row"><h4>All Time Desktop <?php echo "$alltime_visits_unique_desktop/$alltime_visits_desktop"; ?></h4></div>
                    <div class="row"><h4>Last 24 HRS Desktop <?php echo "$last_24hr_unique_desktop/$last_24hr_desktop" ?></h4></div>
                </div>
            </div>
        </div>

    </body>
</html>